@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --spin-primary: orange;
    --spin-accent: crimson;
    --spin-text: white;
    --spin-bg: rgb(20, 20, 20);
}

#spin-widget {
    background: var(--spin-bg);
    color: white;
    font-family: "Poppins";
    width: 90%;
    height: 85vh;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
    box-shadow: 0px 0px 10px black;
    user-select: none;
    animation: popRibaUp 3s ease-out;
    /* display: none; */
    z-index: 20;
}

@keyframes popRibaUp {
    0% {
        /* transform: scale(0.1) translate(-50%, -50%); */
        opacity: 0;
    }

    100% {
        /* transform: scale(1) translate(-50%, -50%); */
        opacity: 1;
    }
}

.spinBracket {
    display: flex;
    align-items: center;
    justify-content: center;
    ;
}

.spinBracketSide {
    flex: 1;
    background: black;
    padding: 40px;
    box-shadow: 0px 0px 10px black;
    height: 150px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}

.spinBracketSide h2 {
    font-size: 22px;
}

.spinBracketSide p {
    font-size: 15px;
    color: rgb(200, 200, 200);
}

.sideLeft {
    margin-right: -30px;
    border-radius: 20px 0px 0px 20px;
    padding-right: 50px;
    align-items: flex-start;
}

.sideRight {
    margin-left: -30px;
    border-radius: 0px 20px 20px 0px;
    padding-left: 50px;
    /* z-index: -1; */
    text-align: right;
    align-items: flex-end;
}

.spinBracketSpinHolder {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 550px;
    height: 550px;
    padding: 20px;
    background: black;
    border-radius: 50%;
    position: relative;
    box-shadow: 0px 0px 10px black;
}

.spinner {
    width: 490px;
    height: 490px;
    padding: 50px;
    z-index: 99;
    /* animation: rotor 30s linear infinite; */
    -webkit-user-drag: none;
    transition: 8s all;
}

@keyframes rotor {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(350deg);
    }
}

#lights {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 550px;
    height: 550px;
    z-index: 0;
}

.spinButton {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 101;
    background: orange;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    font-size: 30px;
    font-weight: 800;
    cursor: pointer;
    letter-spacing: 2px;
    box-shadow: 0px 0px 40px black;
}

.spinButton p {
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom, black, rgb(60, 60, 60));
    border-radius: 50%;
    font-size: 35px;
    font-weight: 800;
    cursor: pointer;
    letter-spacing: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--spin-primary);
    text-shadow: 0px 0px 5px black;
    transition: 0.2s ease-in;
    text-align: center;
}

#spin-button:hover {
    transform: scale(.97);
}

#spin-button:active {
    transform: scale(.92);
    box-shadow: 0px 0px 100px white;
    color: black;
}

#spin-button {
    display: none;
}

#spin-button-disabled {
    font-size: 10px;
    letter-spacing: 1px;
    font-weight: 400;
    color: white;
}

#spin-button-spot {
    position: absolute;
    background: black;
    background: linear-gradient(to bottom, black, rgb(60, 60, 60));
    width: 130px;
    height: 130px;
    display: none;
    cursor: not-allowed;
}

.spinPointer {
    background: pink;
    width: 50px;
    height: 50px;
    position: absolute;
    top: -11%;
    z-index: -3;
    transform: rotate(45deg);
    background: linear-gradient(to bottom, black, rgb(0, 0, 0));
    background: var(--spin-primary);
    box-shadow: 0px 0px 20px black;
    border: 2px solid black;
}

.connect-wallet-btn {
    font-size: 17px;
    padding: 10px 20px;
    border-radius: 10px;
    color: var(--spin-bg);
    font-weight: 700;
    background: var(--spin-primary);
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.connect-wallet-btn:hover {
    background: rgb(194, 126, 1);
}

.connect-wallet-btn:active {
    transform: scale(0.95);
}

.spin-wallet-balance {
    font-size: 15px;
    font-weight: 500;
    color: rgb(200, 200, 200);
}

.spin-wallet-balance span {
    font-weight: 700;
    color: white;
}

.widget-close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 15px;
    padding: 5px;
    border-radius: 50%;
    cursor: pointer;
    transition: 0.4s ease-in-out;
}

.widget-close-btn:hover {
    transform: rotate(180deg);
}

.widget-close-btn:active {
    transform: scale(1.3) rotate(180deg);
}

.winRibaPrompt {
    position: absolute;
    width: 490px;
    height: 490px;
    background: linear-gradient(to bottom, black, rgb(20, 20, 20));
    z-index: 404;
    border-radius: 50%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 15px;
    animation: PopRibaWin 0.8s ease-in;
    display: none;
    text-align: center;

}

@keyframes PopRibaWin {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

.winRibaPrompt img {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    object-fit: cover;
    border: 4px dashed var(--spin-accent);
    padding: 10px;
}

.winRibaPrompt h2 {
    font-size: 22px;
    color: var(--spin-primary);
}

.winRibaPrompt p {
    font-size: 16px;
    color: rgb(200, 200, 200);
}

#approve-riba-btn {
    font-size: 15px;
    padding: 6px 25px;
    border-radius: 10px;
    color: var(--spin-text);
    font-weight: 700;
    background: var(--spin-accent);
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

#approve-riba-btn:hover {
    background: rgb(143, 3, 31);
}

#approve-riba-btn:active {
    transform: scale(0.95);
}

@media (max-width: 1200px) {
    .spinBracketSpinHolder {
        width: 380px;
        height: 380px;
    }

    .spinner {
        width: 340px;
        height: 340px;
    }

    #lights {
        width: 365px;
        height: 365px;
    }

    .winRibaPrompt {
        width: 345px;
        height: 345px;
        padding: 20px;
        gap: 10px;
    }

    .winRibaPrompt img {
        width: 100px;
        height: 100px;
    }

    .spinBracketSide {
        height: 180px;
    }

    .sideLeft {
        margin-right: -50px;
    }

    .sideRight {
        margin-left: -50px;
    }

    .spinBracketSide h2 {
        font-size: 18px;
    }

    .spinBracketSide p {
        font-size: 13px;
    }
}

@media (max-width: 880px) {
    #spin-widget {
        height: 100vh;
        width: 100vw;
    }
    .widget-close-btn {
        top: 60px;
        right: 40px;
    }
    .spinBracket {
        flex-direction: column;
    }

    .spinBracketSpinHolder {
        width: 55vw;
        height: 55vw
    }

    .spinner {
        width: 52vw;
        height: 52vw;
    }

    #lights {
        width: 55vw;
        height: 55vw;
    }

    .winRibaPrompt {
        width: 53vw;
        height: 53vw;
        padding: 20px;
        gap: 10px;
    }

    .winRibaPrompt img {
        width: 60px;
        height: 60px;
    }

    .spinBracketSide {
        height: auto;
        width: 40vw;
        text-align: center;
        align-items: center;
    }
    .spinBracketSide h2 {
        font-size: 15px;
    }
    .spinBracketSide p {
        font-size: 12px;
    }
    .sideLeft {
        margin-right: 0px;
        border-radius: 20px 20px 0px 0px;
        padding: 20px;
        padding-bottom: 100px;
        margin-bottom: -70px;
    }

    .sideRight {
        margin-left: 0px;
        border-radius: 0px 0px 20px 20px;
        padding: 20px;
        padding-top: 100px;
        margin-top: -70px;
    }
    .spinButton {
        width: 80px;
        height: 80px;
    }
    .spinPointer {
        width: 40px;
        height: 40px;
    }
    .spinButton p {
        font-size: 18px;
        width: 80px;
        height: 80px
    }
    #spin-button-spot {
        width: 80px;
        height: 80px;
    }
}